Bug 1417017 - Please drop openssl-1.1.0-starttls-xmpp.patch
Summary: Please drop openssl-1.1.0-starttls-xmpp.patch
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: openssl
Version: 26
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Tomas Mraz
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-27 01:23 UTC by Robert Scheck
Modified: 2018-02-23 16:42 UTC (History)
1 user (show)

Fixed In Version: openssl-1.1.0g-6.fc28
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-02-23 16:42:36 UTC
Type: Bug


Attachments (Terms of Use)

Description Robert Scheck 2017-01-27 01:23:40 UTC
Description of problem:
If I am not mistaken, openssl-1.1.0-starttls-xmpp.patch results due to bug
#608239 where attachment #513537 [details] was suggested - which replaced strstr() by
strcasestr() while enhancing the condition. However, in bug #608239, I can
not see anything related to case-sensitivity (uppercase XML in XMPP would be
strange from my point of view anyway).

Please drop openssl-1.1.0-starttls-xmpp.patch in Rawhide.

Version-Release number of selected component (if applicable):
openssl-1.1.0d-1.fc26

Comment 1 Tomas Mraz 2017-01-27 09:09:29 UTC
And is it really a problem if the check is case-insensitive? I do not see a reason to drop the patch unless it causes real problems.

Comment 2 Robert Scheck 2017-01-27 10:32:16 UTC
Oh, just thought it would be good to remove an unneeded patch.

Comment 3 Fedora End Of Life 2017-02-28 11:06:28 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 26 development cycle.
Changing version to '26'.


Note You need to log in before you can comment on or make changes to this bug.